Get a list of countries and currencies
Use this Tango API endpoint to retrieve countries available in your Tango catalog along with each country’s preferred reward currency. Use this data to filter catalog results, set default currency views, and show recipients reward options that are relevant to their country. Filtering your catalog by country and currency helps simplify the recipient experience by showing only relevant gift cards.
Not sure which currency to display by default? Use the GET /rewardCountries to determine each country’s preferred currency. You can also filter and search the reward country data—for example, retrieving countries whose names include “united.” Search terms are case‑insensitive. Pagination is supported, allowing you to navigate through the full results list.
The preferredCurrency returned by this endpoint indicates the preferred currency for rewards offered in that country. It does not affect or change the currency of your Tango account.
Note:
- Reward currencies are different from Tango account currencies and may vary by country, catalog, and product. Tango account currencies—used to fund accounts—are limited to AUD, CAD, EUR, GBP, MXN, SGD, and USD. Each Tango account has a single account currency, which is set when the account is created.
preferredCurrencyis reward-country metadata. It is not the Tango account currency.
Use case
Acme Health wants to offer a clearer reward experience for recipients in France. They call GET /rewardCountries and see that France’s preferred reward currency is EUR.
Acme Health uses that value to show EUR reward options first in the recipient catalog. Their Tango account currency remains separate from the reward currency shown to recipients. Instead of showing all 100 eligible gift cards at once, they group rewards by currency so that EUR options appear first, while still allowing access to other currencies if needed. They also use country metadata to personalize labels, searches, and relevant filtering—resulting in a clearer, more user‑friendly catalog.
Endpoint
Use this endpoint to get a list of countries and their preferred currency.
| Function | Purpose |
|---|---|
GET {URI}/rewardCountries | Get a list of countries and their preferred currency. |
Parameters
Use the following query parameters with this endpoint. Use pagination to go through the list:
| Query params | Data type | Description |
|---|---|---|
prevCursor | string | The cursor to use for the previous page of results. |
nextCursor | string | The cursor to use for the next page of results. |
maxResults | int32 | The maximum number of results to return. The default is 10, and the maximum is 200. |
countries | string | Comma-separated string of the countries to be queried. |
preferredCurrencies | string | Comma-separated string of the preferred reward currencies to filter by, such as EUR or USD. It filters the preferredCurrency values returned for countries. It does not set or change the Tango account currency. |
Examples
The following example shows countries where the preferred reward currency is "EUR" limited to three results with maxResults. If maxResults is not selected, you will get ten listed. The maximum number of results that can be returned is 200.
{
"prevCursor": null,
"nextCursor": "MTE=",
"prevPageAvailable": false,
"nextPageAvailable": true,
"maxResults": 3,
"items": [
{
"twoLetterCode": "FR",
"threeLetterCode": "FRA",
"countryName": "France",
"preferredCurrency": "EUR"
},
{
"twoLetterCode": "DE",
"threeLetterCode": "DEU",
"countryName": "Germany",
"preferredCurrency": "EUR"
},
{
"twoLetterCode": "IT",
"threeLetterCode": "ITA",
"countryName": "Italy",
"preferredCurrency": "EUR"
}
],
"numberOfElements": 3
}Here's an example payload for when you receive an error:
{
"timestamp": "2025-02-21T23:23:13.930Z",
"requestId": "string",
"path": "string",
"httpCode": 0,
"httpPhrase": "string",
"i18nKey": "string",
"message": "The error message will show here for error codes ",
"errors": [
{}
]
}Response codes
The possible response codes for this endpoint are as follows. For details, see i18nkey codes and their error messages:
| Response code | Meaning |
|---|---|
| 200 | The request was successful. |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | Authentication is required and has either not been provided or failed. |
| 403 | The server understood the request but refuses to authorize it. |
Updated 22 days ago
